import 'package:json_annotation/json_annotation.dart';

part 'autocompleteResponse.g.dart';

@JsonSerializable(explicitToJson: true)
class AutocompleteResponse {
  List<AutocompleteResponseObject> data;

  AutocompleteResponse(this.data);

  factory AutocompleteResponse.fromJson(Map<String, dynamic> json) => _$AutocompleteResponseFromJson(json);
  Map<String, dynamic> toJson() => _$AutocompleteResponseToJson(this);
}

@JsonSerializable()
class AutocompleteResponseObject {
  String id;
  String label;
  String? icon;
  String? source;
  List<String>? status;
  String? subline;
  String? shareWithDisplayNameUniqe;

  AutocompleteResponseObject(this.id, this.label, this.icon, this.source, this.status,
      this.subline, this.shareWithDisplayNameUniqe);

  factory AutocompleteResponseObject.fromJson(Map<String, dynamic> json) => _$AutocompleteResponseObjectFromJson(json);
  Map<String, dynamic> toJson() => _$AutocompleteResponseObjectToJson(this);
}